version: '3'
services:
  test-centos7:
    build:
        context: .
        dockerfile: test/docker/centos7
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-centos8:
    build:
        context: .
        dockerfile: test/docker/centos8
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-fedora31:
    build:
        context: .
        dockerfile: test/docker/fedora31
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-fedora32:
    build:
        context: .
        dockerfile: test/docker/fedora32
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-fedora33:
    build:
        context: .
        dockerfile: test/docker/fedora33
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-ubuntu1604:
    build:
        context: .
        dockerfile: test/docker/ubuntu1604
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-ubuntu1804:
    build:
        context: .
        dockerfile: test/docker/ubuntu1804
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-ubuntu2004:
    build:
        context: .
        dockerfile: test/docker/ubuntu2004
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-debianstable:
    build:
        context: .
        dockerfile: test/docker/debianstable
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-debiantesting:
    build:
        context: .
        dockerfile: test/docker/debiantesting
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-gentoo:
    build:
        context: .
        dockerfile: test/docker/gentoo
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-opensuse1500:
    build:
        context: .
        dockerfile: test/docker/opensuse1500
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
  test-arch:
    build:
        context: .
        dockerfile: test/docker/arch
    network_mode: "host"
    security_opt:
      - label=type:container_runtime_t
    tty: true
